Package com.orchestranetworks.service

# Class MergeSpecForHome

java.lang.Object
com.orchestranetworks.service.MergeSpecForHome

public final class MergeSpecForHome extends Object
Specifies the contents of a dataspace to be merged. It describes which datasets are to be merged, and for modified datasets, which contents are to be merged. If no datasets are specified, the default behavior is to merge all the datasets of the dataspace.

See Also:
  - `ProcedureContext.doMergeToParent(MergeSpecForHome)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MergeSpecForHome(AdaptationHome homeToMerge)`
  Specifies the dataspace to merge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdaptationHome`
  `getHomeToMerge()`
  Returns the dataspace to merge.
  `MergeSpecForInstanceContents`
  `getSpecForInstanceReference(AdaptationName aDataSetReference)`
  `boolean`
  `isEmpty()`
  Returns `true` if no particular dataset contents have been specified.
  `void`
  `setAllContentsForInstanceReference(AdaptationName aDataSetReference)`
  Defines that a dataset must be globally merged (its values, its permissions and its header).
  `void`
  `setContentsForInstanceReference(AdaptationName aDataSetReference, MergeSpecForInstanceContents aSpec)`
  Defines what must be merged for a given dataset reference.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MergeSpecForHome

    public MergeSpecForHome(AdaptationHome homeToMerge)
    Specifies the dataspace to merge.

- ## Method Details

  - ### getSpecForInstanceReference

    public MergeSpecForInstanceContents getSpecForInstanceReference(AdaptationName aDataSetReference)
    See Also:
      - `setContentsForInstanceReference(AdaptationName, MergeSpecForInstanceContents)`

  - ### setContentsForInstanceReference

    public void setContentsForInstanceReference(AdaptationName aDataSetReference, MergeSpecForInstanceContents aSpec)
    Defines what must be merged for a given dataset reference. This method must be used for modified datasets whenever not all contents are to be merged, such as omitting the header. If this method is called for added or removed datasets, regardless of the details of the contents to be merged, the dataset will be globally added or removed.

  - ### setAllContentsForInstanceReference

    public void setAllContentsForInstanceReference(AdaptationName aDataSetReference)
    Defines that a dataset must be globally merged (its values, its permissions and its header). The whole dataset will be added, deleted or modified depending on the modifications performed.

  - ### isEmpty

    public boolean isEmpty()
    Returns `true` if no particular dataset contents have been specified. In this case, the behavior of `ProcedureContext.doMergeToParent(MergeSpecForHome)` is to merge all the datasets of the dataspace or snapshot to merge.

  - ### getHomeToMerge

    public AdaptationHome getHomeToMerge()
    Returns the dataspace to merge.